summaryrefslogtreecommitdiff
path: root/tests/rm/dir-nonrecur
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/dir-nonrecur')
-rwxr-xr-xtests/rm/dir-nonrecur4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/dir-nonrecur b/tests/rm/dir-nonrecur
index fd10ba936..5b09821c0 100755
--- a/tests/rm/dir-nonrecur
+++ b/tests/rm/dir-nonrecur
@@ -2,7 +2,7 @@
# Ensure that `rm dir' (i.e., without --recursive) gives a reasonable
# diagnostic when failing.
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0